Last updated: September 23, 2026
Assign Groups to App
Assign Groups to App. use <uuid>, not <app-uuid>
Request
POST
https://superadminuser.miniorange.in/services/api/apps/v1/apps/:appUuid/groupsAuthentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| appUuid | String | Required | use <uuid>, not <app-uuid> |
| app | String | Optional | |
| groups | String | Optional | |
| firstFactorAuthType | String | Optional | |
| isSecondFactorMandatory | String | Optional | |
| secondFactorAuthType | String | Optional | |
| enableRbaIP | String | Optional | |
| enableRbaDevice | String | Optional | |
| force_2faOnLogin | String | Optional |
Request body
{
"app": {
"id": "a31228cc-c13c-11f0-87d4-0242ac13000a",
"name": "CognitoProv"
},
"groups": [
{
"id": "26dfe9a6-de2c-4370-a161-8af04fd8d8a6",
"name": "G1"
},
{
"id": "27a06621-e0ce-4b6e-9384-511ce46b2b77",
"name": "G2"
}
],
"firstFactorAuthType": "PASSWORD",
"isSecondFactorMandatory": false,
"secondFactorAuthType": "EMAIL",
"enableRbaIP": false,
"enableRbaDevice": false,
"force_2faOnLogin": false
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.